package coco;

import org.eclipse.jdt.core.dom.ASTVisitor;
import org.eclipse.jdt.core.dom.rewrite.ASTRewrite;

/**
 * Interface for all CoCo {@link ASTVisitor}s.
 * 
 * @author Milos Gligoric (milos.gligoric@gmail.com)
 * @author Rohan Sharma (sharma.rohan1990@gmail.com)
 */
public interface ICoCoASTV {

    /** Rewrite for the compilation unit being visited */
    public ASTRewrite rewrite();
}
