package coco.util;

import org.eclipse.jdt.core.dom.ASTMatcher;
import org.eclipse.jdt.core.dom.SimpleName;

/**
 * @author Milos Gligoric (milos.gligoric@gmail.com)
 * @author Rohan Sharma (sharma.rohan1990@gmail.com)
 */
public class CoCoASTMatcher extends ASTMatcher {

    @Override
    public boolean match(SimpleName node, Object other) {
        if (!(other instanceof SimpleName)) {
            return false;
        }
        SimpleName o = (SimpleName) other;
        if (CoCoUtil.isCondition(node) && CoCoUtil.isCondition(o)) {
            return true;
        }
        return super.match(node, other);
    }

}
