package coring;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Marks an argument that is mandatory. An exception is throws if argument is
 * not provided.
 * 
 * @author Milos Gligoric (milos.gligoric@gmail.com)
 * 
 * @see OptException
 */
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
public @interface OptRequired {
}
