package coring;

/**
 * {@link Opt} of type {@link String}.
 * 
 * @author Milos Gligoric (milos.gligoric@gmail.com)
 */
public final class StringOpt extends Opt<String> {

    public StringOpt(String name) {
        this(name, null);
    }

    public StringOpt(String name, String shortName) {
        super(name, shortName, String.class, null);
    }

    @Override
    protected void setVal(String[] args, int index) {
        s(args[index + 1]);
    }

    @Override
    protected String getArgArgumentString() {
        return "STRING";
    }

    @Override
    public StringOpt s(String v) {
        unsafeSet(v);
        return this;
    }
}
