#!/bin/bash

# "Runs instrumentation for all coverages on examples
# directory/project and runs simple test for one of the classes on
# instrumented code."

project_name="example"
project_location="`pwd`/example/.project"
test_classes="simple.SimpleTest"

run_sh=run.sh

function problem_fun() {
    echo "Error: Problem during execution; you may need X server running."
    exit 1
}

./${run_sh} --sc ${project_name} ${project_location} ${test_classes}
if [ $? -ne 0 ]; then problem_fun; fi

./${run_sh} --bc ${project_name} ${project_location} ${test_classes}
if [ $? -ne 0 ]; then problem_fun; fi

./${run_sh} --path ${project_name} ${project_location} ${test_classes}
if [ $? -ne 0 ]; then problem_fun; fi

./${run_sh} --pctbb ${project_name} ${project_location} ${test_classes}
if [ $? -ne 0 ]; then problem_fun; fi

./${run_sh} --pctst ${project_name} ${project_location} ${test_classes}
if [ $? -ne 0 ]; then problem_fun; fi
