package example.taco.avltree;

class AvlNode {
    // The data in the node
    int element;

    // Left child
    AvlNode left;

    // Right child
    AvlNode right;

    // Height
    int height;

    AvlNode(final int theElement) {
        this(theElement, null, null);
    }

    AvlNode(final int theElement, final AvlNode lt, final AvlNode rt) {
        this.element = theElement;
        this.left = lt;
        this.right = rt;
        this.height = 0;
    }

    @Override
    public String toString() {
        String res = "{" + element + "[" + (left != null ? left.toString() : null) + "]" + "["
                + (right != null ? right.toString() : null) + "]}";
        return res;
    }
}
