package coco;

/**
 * Visitor that can be invoked in a loop should implement this interface so that
 * the original state can be restored.
 * 
 * @author Milos Gligoric (milos.gligoric@gmail.com)
 * @author Rohan Sharma (sharma.rohan1990@gmail.com)
 */
public interface IResettableV {
    public void reset();
}
