package coco.task;

import org.eclipse.jdt.core.ICompilationUnit;

/**
 * A task in the instrumentation process.
 * 
 * @author Milos Gligoric (milos.gligoric@gmail.com)
 * @author Rohan Sharma (sharma.rohan1990@gmail.com)
 */
public interface ITask {

    /**
     * Performs task on the given compilation unit.
     */
    public void perform(ICompilationUnit icu) throws Exception;
}
