package coring;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Provides help message for an {@link Opt}.
 * 
 * @author Milos Gligoric (milos.gligoric@gmail.com)
 */
@Target({ ElementType.FIELD, ElementType.TYPE })
@Retention(RetentionPolicy.RUNTIME)
public @interface OptHelp {

    public String value();
}
