package coco.runtime;

/**
 * @author Milos Gligoric (milos.gligoric@gmail.com)
 * @author Rohan Sharma (sharma.rohan1990@gmail.com)
 */
public interface IStateSet {

    public void add(String state);

    public boolean contains(String state);

    public long size();

    public void clear();

    public String[] states();
}
