package example.taco.singlylist;

public class SinglyLinkedList {

    SinglyLinkedListNode header;

    @Override
    public String toString() {
        if (header == null) {
            return "null";
        }

        SinglyLinkedListNode c = header;
        String s = c.toString();
        while (c.next != null) {
            c = c.next;
            s += ":" + c.toString();
        }

        return s;
    }

    public boolean contains(Object value_param) {
        SinglyLinkedListNode current;
        boolean result;
        current = this.header;
        result = false;
        while (result == false && current != null) {
            boolean equalVal;
            if (value_param == null && current.value == null) {
                equalVal = true;
            } else {
                if (value_param != null) {
                    if (value_param == current.value) {
                        equalVal = true;
                    } else {
                        equalVal = false;
                    }
                } else {
                    equalVal = false;
                }
            }

            if (equalVal == true) {
                result = true;
            }
            current = current.next;
        }

        return result;
    }

    public void remove(int index) {
        SinglyLinkedListNode current;
        current = this.header;
        SinglyLinkedListNode previous;
        previous = null;
        int current_index;
        current_index = 0;
        boolean found = false;
        while (found == false && current != null) {
            if (index == current_index) {
                found = true;
            } else {
                current_index = current_index + 1;
                previous = current;
                current = current.next;
            }
        }
        if (found == false) {
            return;
        }
        if (previous == null) {
            this.header = current.next;
        } else {
            previous.next = current.next;
        }
    }

    public void insertBack(Object arg) {
        SinglyLinkedListNode freshNode = new SinglyLinkedListNode();
        freshNode.value = arg;
        freshNode.next = null;
        if (this.header == null) {
            this.header = freshNode;
        } else {
            SinglyLinkedListNode current;
            current = this.header;
            while (current.next != null) {
                current = current.next;
            }
            current.next = freshNode;
        }
    }

    public static void main(String[] args) {
        SinglyLinkedList list = new SinglyLinkedList();
        list.insertBack(new Object());
        list.remove(0);
    }

}
