package example.taco.treeset;

class TreeSetEntry {
    int key;
    TreeSetEntry left = null;
    TreeSetEntry right = null;
    TreeSetEntry parent;
    boolean color = true;

    TreeSetEntry(int key, TreeSetEntry parent) {
        this.key = key;
        this.parent = parent;
    }

    public int getKey() {
        return key;
    }

    @Override
    public int hashCode() {
        return key;
    }

    @Override
    public String toString() {
        String s = "{c:" + color + ";v" + key + "[" + (left != null ? left.toString() : null) + "]["
                + (right != null ? right.toString() : null) + "]}";
        return s;
    }

}
